Wallet Infrastructure
Wallet Infrastructure
Balances

Get balances

GET
/v1/balances

Requires scope wallets:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

address?unknown
chain*unknown

Response Body

200application/json

Balances

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/balances' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "chain": "base",    "address": "string",    "native": "string",    "usdt": "string",    "usdtContracts": [      {        "address": "string",        "symbol": "USD₮0",        "balance": "string"      }    ],    "xaut": "string"  },  "status": 200,  "success": true}